Bug 174985 - [Win][JSCOnly] Support running JSC tests for win-cairo from windows command prompt
Summary: [Win][JSCOnly] Support running JSC tests for win-cairo from windows command p...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on: 175216
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-31 10:45 PDT by Stephan Szabo
Modified: 2017-08-30 10:19 PDT (History)
10 users (show)

See Also:


Attachments
Example script generating perl to run tests (79.09 KB, patch)
2017-07-31 11:03 PDT, Stephan Szabo
no flags Details | Formatted Diff | Diff
Example script generating perl to run tests (80.47 KB, patch)
2017-07-31 12:49 PDT, Stephan Szabo
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-wk2 (969.03 KB, application/zip)
2017-07-31 14:22 PDT, Build Bot
no flags Details
Adding test-writer that generates ruby scripts and ruby runner for windows command prompt (22.84 KB, patch)
2017-08-21 10:39 PDT, Stephan Szabo
no flags Details | Formatted Diff | Diff
Adding test-writer that generates ruby scripts and ruby runner for windows command prompt (19.89 KB, patch)
2017-08-29 21:07 PDT, Stephan Szabo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Szabo 2017-07-31 10:45:39 PDT
For windows JSCOnly builds, we build from a windows command prompt, however the tests require a Cygwin or equivalent to also be installed. It would be nice to support running the tests from command prompt to avoid this.

As initial POC, made a version of the run-jsc-stress-tests script that wrote out perl rather than shell that's running a portion of the non-http tests to discuss. Not all of the error handlers are converted here, there's a lot of debugging information being spit out, and we'd want to not duplicate the other portions of the script, but doing more only makes sense if the general direction of supporting a non-shell based version is acceptable.
Comment 1 Stephan Szabo 2017-07-31 11:03:42 PDT
Created attachment 316789 [details]
Example script generating perl to run tests

As in the general issue comment, this is just taking the existing script and reworking parts to write/run perl to allow running on windows shells. This isn't intended to be committable but more a general direction check.
Comment 2 Build Bot 2017-07-31 11:22:35 PDT
Attachment 316789 [details] did not pass style-queue:

ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:494:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:496:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:502:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:503:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:504:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:505:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:506:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:513:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:514:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:515:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:516:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:517:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:518:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:519:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:520:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:521:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:522:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:523:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:524:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:530:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:531:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:532:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:533:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:534:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:535:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:536:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:537:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:538:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:548:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:549:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:550:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:551:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:552:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:553:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:554:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:555:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:556:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:557:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:558:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:559:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:560:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:561:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:562:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:563:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:574:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:575:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:576:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:577:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:578:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:579:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:580:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:581:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:582:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:583:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:584:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:585:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:586:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:587:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:588:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:589:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:590:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:591:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:592:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:593:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:594:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:595:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:596:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:597:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:598:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:599:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:600:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:601:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:602:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:603:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:604:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:605:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:606:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:607:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:608:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:609:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:610:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:611:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:612:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:613:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:614:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:615:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:616:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:617:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:618:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:619:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:620:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:621:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:622:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:623:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:624:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:625:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:626:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:627:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:628:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:629:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:630:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:631:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:632:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:639:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:640:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:643:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:644:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:645:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:646:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:647:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:648:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:649:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:650:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:651:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:652:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:653:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:654:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:655:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:656:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:657:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:658:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:659:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:660:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:661:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:662:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:663:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:664:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:665:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:666:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:667:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:668:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:674:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:675:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:678:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:679:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:680:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:681:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:682:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:683:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:684:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:685:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:686:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:687:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:688:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:689:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:690:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:691:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:692:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:693:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:694:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stres
s-tests-win-shell:695:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:696:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:697:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:698:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:708:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:709:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:710:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:711:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:712:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:713:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:714:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:715:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:716:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:717:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:718:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:719:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:720:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:721:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:722:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:723:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:724:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:725:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:726:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:727:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:728:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:729:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:730:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:731:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:732:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:733:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:734:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:735:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:736:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:737:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:738:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:739:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:741:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:742:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:743:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:744:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:745:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:746:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:747:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:748:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:749:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:821:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:836:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:837:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:838:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:839:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:841:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:843:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:844:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:845:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:847:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:853:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:854:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:1877:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:1878:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:1884:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:1897:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:1899:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:1900:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:1901:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:1902:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:1904:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:1906:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:1907:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:1908:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:1909:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:1916:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:1918:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:2071:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:2072:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:2073:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Tools/Scripts/run-jsc-stress-tests-win-shell:2074:  Line contains tab character.  [whitespace/tab] [5]
Total errors found: 226 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Stephan Szabo 2017-07-31 12:49:17 PDT
Created attachment 316795 [details]
Example script generating perl to run tests
Comment 4 Build Bot 2017-07-31 14:22:44 PDT
Comment on attachment 316795 [details]
Example script generating perl to run tests

Attachment 316795 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/4230674

New failing tests:
fast/images/low-memory-decode.html
Comment 5 Build Bot 2017-07-31 14:22:45 PDT
Created attachment 316804 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.5
Comment 6 Stephan Szabo 2017-08-21 10:39:43 PDT
Created attachment 318643 [details]
Adding test-writer that generates ruby scripts and ruby runner for windows command prompt

Since it seemed like perl wasn't a preferred option, and the writer code is now separated off into a separate file, here is a version of the writer that generates ruby rather than sh for the individual test scripts primarily intended for use on Windows without Cygwin or msys along with command line options to choose the behavior. There's also a ruby runner in case the machine doesn't have a make, although this currently doesn't do any running of tests in parallel, that seems like something that could be improved separately.
Comment 7 Don Olmstead 2017-08-29 15:07:42 PDT
Filip any chance you can take a look at this patch sometime soon? Once it lands we can spin up a bot for JSCOnly on Windows and run the tests.
Comment 8 Keith Miller 2017-08-29 17:57:11 PDT
Comment on attachment 318643 [details]
Adding test-writer that generates ruby scripts and ruby runner for windows command prompt

View in context: https://bugs.webkit.org/attachment.cgi?id=318643&action=review

Looks pretty good. r- since I think the runner-script api could be cleaned up a bit though.

> Tools/Scripts/run-jsc-stress-tests:180
> +               ['--test-writer', GetoptLong::REQUIRED_ARGUMENT],

I don't think you need this argument. It seems like you should just pick the ruby test writer if --ruby-runner is provided.

> Tools/Scripts/run-jsc-stress-tests:454
> +require_relative "webkitruby/jsc-stress-test-writer-#{$testWriter}"

This should be decided based on the runner being used.

> Tools/Scripts/webkitruby/jsc-stress-test-writer-default.rb:355
> +def prepareRubyTestRunner
> +    File.open($runnerDir + "runscript", "w") {
> +        | outp |
> +        $runlist.each {
> +            | plan |
> +            outp.puts "print `sh test_script_#{plan.index} 2>&1`"
> +        }
> +    }
> +end

You should delete this.

> Tools/Scripts/webkitruby/jsc-stress-test-writer-default.rb:364
> +    when :ruby
> +        command = "ruby runscript"

Ditto.
Comment 9 Stephan Szabo 2017-08-29 18:08:12 PDT
I'd hoped to support the ruby writer with make runner for getting the parallel runs (as the gnuwin32 make is okay), but I can simplify it out to be only with the ruby runner and then when we need to worry about parallel runs we can make that smarter.
Comment 10 Yusuke Suzuki 2017-08-29 20:50:31 PDT
I've just run this on my Linux box (with --ruby-runner), and ensured that it works fine.
Comment 11 Keith Miller 2017-08-29 20:52:41 PDT
(In reply to Stephan Szabo from comment #9)
> I'd hoped to support the ruby writer with make runner for getting the
> parallel runs (as the gnuwin32 make is okay), but I can simplify it out to
> be only with the ruby runner and then when we need to worry about parallel
> runs we can make that smarter.

I see, in that case the current code seems reasonable.
Comment 12 Keith Miller 2017-08-29 20:52:53 PDT
Comment on attachment 318643 [details]
Adding test-writer that generates ruby scripts and ruby runner for windows command prompt

r=me.
Comment 13 Stephan Szabo 2017-08-29 21:07:22 PDT
Created attachment 319333 [details]
Adding test-writer that generates ruby scripts and ruby runner for windows command prompt

Updated to use --ruby-runner to control writer
Comment 14 Stephan Szabo 2017-08-30 05:19:28 PDT
Comment on attachment 318643 [details]
Adding test-writer that generates ruby scripts and ruby runner for windows command prompt

Missed the comments while I was doing other version, so going back to the okayed version.
Comment 15 WebKit Commit Bot 2017-08-30 10:18:12 PDT
Comment on attachment 318643 [details]
Adding test-writer that generates ruby scripts and ruby runner for windows command prompt

Clearing flags on attachment: 318643

Committed r221376: <http://trac.webkit.org/changeset/221376>
Comment 16 WebKit Commit Bot 2017-08-30 10:18:14 PDT
All reviewed patches have been landed.  Closing bug.
Comment 17 Radar WebKit Bug Importer 2017-08-30 10:19:20 PDT
<rdar://problem/34164931>